Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class LayeredHighlighter

    java.lang.Object
      |
      +--javax.swing.text.LayeredHighlighter

Direct Known Subclasses:
  DefaultHighlighter

public abstract class LayeredHighlighter
extends java.lang.Object
implements Highlighter

See Also:
  `Highlighter`

Inner Class Summary
`static class` | `LayeredHighlighter.LayerPainter` Layered highlight renderer.

Constructor Summary
`LayeredHighlighter()`

Method Summary
`abstract void` | `paintLayeredHighlights(java.awt.Graphics g, int p0, int p1, java.awt.Shape viewBounds, JTextComponent editor, View view)` When leaf Views (such as LabelView) are rendering they should call into this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayeredHighlighter

    public LayeredHighlighter()

Method Detail

### paintLayeredHighlights

    public abstract void paintLayeredHighlights(java.awt.Graphics g,
                                                int p0,
                                                int p1,
                                                java.awt.Shape viewBounds,
                                                JTextComponent editor,
                                                View view)

  When leaf Views (such as LabelView) are rendering they should call into this method. If a highlight is in the given region it will be drawn immediately.
  Parameters:
    `g` - Graphics used to draw
    `p0` - starting offset of view
    `p1` - ending offset of view
    `viewBounds` - Bounds of View
    `editor` - JTextComponent
    `view` - View instance being rendered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.